GuideLab Docs

Get a product

Retrieve a single product of the authenticated lab by its ID, including its category, quality standard, materials, file requirements, inventory requirements, and custom fields. Customers read products through the priced catalog list instead.

GET
/products/{id}

Retrieve a single product of the authenticated lab by its ID, including its category, quality standard, materials, file requirements, inventory requirements, and custom fields. Customers read products through the priced catalog list instead.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Path Parameters

id*string

Product ID

Response Body

application/json

curl -X GET "https://example.com/products/550e8400-e29b-41d4-a716-446655440000"
{  "product": {    "id": "string",    "labId": "string",    "categoryId": "string",    "standardId": "string",    "treatmentPhaseId": "string",    "name": "string",    "sku": "string",    "description": "string",    "defaultPrice": "string",    "cogs": "string",    "pricingUnit": "string",    "priceBands": [      {        "minCount": 0,        "price": "string",        "ponticPrice": "string",        "implantPrice": "string"      }    ],    "priceBandsPerArch": true,    "implantSurcharge": "string",    "ponticSurcharge": "string",    "taxRate": "string",    "turnaroundDays": 0,    "weight": "string",    "minTeethCount": 0,    "maxTeethCount": 0,    "teethLimitsPerArch": true,    "shadeEnabled": true,    "implantSpecRequired": true,    "archSelection": "string",    "bothArchesOnly": true,    "hideOdontogram": true,    "odontogramMode": "string",    "configuratorType": "single_page",    "askMaterialLast": true,    "quantityEnabled": true,    "autoAddToCart": true,    "upfrontPayment": true,    "isHidden": true,    "useProgressBar": true,    "hidePrice": true,    "surgeryDatePolicy": "off",    "surgeryDateHidesDueDate": true,    "fulfillmentMode": "physical",    "isActive": true,    "sortOrder": 0,    "laboratoryCode": "string",    "laboratoryDescription": "string",    "imageKey": "string",    "triggerRules": null,    "treatmentPhaseName": "string",    "treatmentPhaseSortOrder": 0,    "treatmentPhaseStartPolicy": "string",    "treatmentPhaseLeadTimeDays": 0,    "createdAt": "string",    "updatedAt": "string",    "category": {      "id": "string",      "name": "string"    },    "standard": {      "id": "string",      "name": "string",      "code": "string"    },    "productMaterials": [      null    ],    "fileRequirements": [      null    ],    "customFields": [      null    ],    "inventoryRequirements": [      null    ]  }}
Empty
Empty
Empty
Empty